
TYPO3.Flow - Bug # 1092

Status: Resolved Priority: Should have
Author: Daniel Poetzinger Category:
Created: 2008-07-20 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: MVC - Arguments Validation on Arrays / MVC Validation
Description

Currently no filter to validate an Array (e.g. a serialized form with a certain namespace)

in the current concept something like register the argument in the controller like this would be good:

$this->arguments->addNewArgument('searchFilter','RecursiveTextArray');

or I also would like something like 
$this->arguments->addNewArgument('searchFilter','NoValidation');

also

$this->arguments->addNewArgument('searchFilter',''); throws currently a unfetched fatal error.

Associated revisions
Revision 3cd09180 - 2008-08-12 09:35 - Robert Lemke

    -  FLOW3: (Validation) Added a "raw" validator which accepts just everything. Resolves #1092

History
#1 - 2008-08-12 09:35 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Robert Lemke

I think that "RecursiveTextArray" is to special to be implemented in the FLOW3 package itself. What about UnrecursiveIntegerArray etc.?
In my opinion you better solve that by chaining existing validators or writing a small validator yourself.

I'll implement the no validation validator though.

#2 - 2008-08-12 09:36 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1123.
